Index: code/branches/physics/src/bullet/BulletCollision/CollisionShapes/btConvexPointCloudShape.cpp
===================================================================
--- code/branches/physics/src/bullet/BulletCollision/CollisionShapes/btConvexPointCloudShape.cpp	(revision 1963)
+++ code/branches/physics/src/bullet/BulletCollision/CollisionShapes/btConvexPointCloudShape.cpp	(revision 1972)
@@ -18,4 +18,22 @@
 #include "LinearMath/btQuaternion.h"
 
+btConvexPointCloudShape::btConvexPointCloudShape (btVector3* points,int numPoints) : btPolyhedralConvexShape ()
+{
+	m_shapeType = CONVEX_POINT_CLOUD_SHAPE_PROXYTYPE;
+	m_points = points;
+	m_numPoints = numPoints;
+
+	recalcLocalAabb();
+}
+
+void btConvexPointCloudShape::setPoints (btVector3* points, int numPoints)
+{
+	m_points = points;
+	m_numPoints = numPoints;
+
+	recalcLocalAabb();
+}
+
+
 void btConvexPointCloudShape::setLocalScaling(const btVector3& scaling)
 {
@@ -24,5 +42,4 @@
 }
 
-#ifndef __SPU__
 btVector3	btConvexPointCloudShape::localGetSupportingVertexWithoutMargin(const btVector3& vec0)const
 {
@@ -108,5 +125,5 @@
 
 
-#endif
+
 
 
Index: code/branches/physics/src/bullet/BulletCollision/CollisionShapes/btConvexPointCloudShape.h
===================================================================
--- code/branches/physics/src/bullet/BulletCollision/CollisionShapes/btConvexPointCloudShape.h	(revision 1963)
+++ code/branches/physics/src/bullet/BulletCollision/CollisionShapes/btConvexPointCloudShape.h	(revision 1972)
@@ -29,22 +29,7 @@
 	BT_DECLARE_ALIGNED_ALLOCATOR();
 
-	btConvexPointCloudShape(btVector3* points,int numPoints, bool computeAabb = true)
-	{
-		m_shapeType = CONVEX_POINT_CLOUD_SHAPE_PROXYTYPE;
-		m_points = points;
-		m_numPoints = numPoints;
+	btConvexPointCloudShape(btVector3* points,int numPoints);
 
-		if (computeAabb)
-			recalcLocalAabb();
-	}
-
-	void setPoints (btVector3* points, int numPoints, bool computeAabb = true)
-	{
-		m_points = points;
-		m_numPoints = numPoints;
-
-		if (computeAabb)
-			recalcLocalAabb();
-	}
+	void setPoints (btVector3* points, int numPoints);
 
 	btPoint3* getPoints()
@@ -63,9 +48,7 @@
 	}
 
-#ifndef __SPU__
 	virtual btVector3	localGetSupportingVertex(const btVector3& vec)const;
 	virtual btVector3	localGetSupportingVertexWithoutMargin(const btVector3& vec)const;
 	virtual void	batchedUnitVectorGetSupportingVertexWithoutMargin(const btVector3* vectors,btVector3* supportVerticesOut,int numVectors) const;
-#endif
 
 
Index: code/branches/physics/src/bullet/BulletCollision/CollisionShapes/btPolyhedralConvexShape.cpp
===================================================================
--- code/branches/physics/src/bullet/BulletCollision/CollisionShapes/btPolyhedralConvexShape.cpp	(revision 1963)
+++ code/branches/physics/src/bullet/BulletCollision/CollisionShapes/btPolyhedralConvexShape.cpp	(revision 1972)
@@ -16,5 +16,6 @@
 #include "BulletCollision/CollisionShapes/btPolyhedralConvexShape.h"
 
-btPolyhedralConvexShape::btPolyhedralConvexShape() :btConvexInternalShape(),
+btPolyhedralConvexShape::btPolyhedralConvexShape()
+:btConvexInternalShape(),
 m_localAabbMin(1,1,1),
 m_localAabbMax(-1,-1,-1),
@@ -24,4 +25,5 @@
 
 }
+
 
 
Index: code/branches/physics/src/bullet/BulletCollision/CollisionShapes/btPolyhedralConvexShape.h
===================================================================
--- code/branches/physics/src/bullet/BulletCollision/CollisionShapes/btPolyhedralConvexShape.h	(revision 1963)
+++ code/branches/physics/src/bullet/BulletCollision/CollisionShapes/btPolyhedralConvexShape.h	(revision 1972)
@@ -32,30 +32,15 @@
 	bool		m_isLocalAabbValid;
 
+	btPolyhedralConvexShape();
 public:
 
-	btPolyhedralConvexShape();
+	
 
 	//brute force implementations
-
 	virtual btVector3	localGetSupportingVertexWithoutMargin(const btVector3& vec)const;
 	virtual void	batchedUnitVectorGetSupportingVertexWithoutMargin(const btVector3* vectors,btVector3* supportVerticesOut,int numVectors) const;
-
 	
 	virtual void	calculateLocalInertia(btScalar mass,btVector3& inertia) const;
 
-
-	void setCachedLocalAabb (const btVector3& aabbMin, const btVector3& aabbMax)
-	{
-		m_isLocalAabbValid = true;
-		m_localAabbMin = aabbMin;
-		m_localAabbMax = aabbMax;
-	}
-
-	inline void getCachedLocalAabb (btVector3& aabbMin, btVector3& aabbMax) const
-	{
-		btAssert(m_isLocalAabbValid);
-		aabbMin = m_localAabbMin;
-		aabbMax = m_localAabbMax;
-	}
 
 	inline void getNonvirtualAabb(const btTransform& trans,btVector3& aabbMin,btVector3& aabbMax, btScalar margin) const
Index: code/branches/physics/src/bullet/BulletCollision/CollisionShapes/btSphereShape.cpp
===================================================================
--- code/branches/physics/src/bullet/BulletCollision/CollisionShapes/btSphereShape.cpp	(revision 1963)
+++ code/branches/physics/src/bullet/BulletCollision/CollisionShapes/btSphereShape.cpp	(revision 1972)
@@ -18,4 +18,12 @@
 
 #include "LinearMath/btQuaternion.h"
+
+
+btSphereShape ::btSphereShape (btScalar radius) : btConvexInternalShape ()
+{
+	m_shapeType = SPHERE_SHAPE_PROXYTYPE;
+	m_implicitShapeDimensions.setX(radius);
+	m_collisionMargin = radius;
+}
 
 btVector3	btSphereShape::localGetSupportingVertexWithoutMargin(const btVector3& vec)const
Index: code/branches/physics/src/bullet/BulletCollision/CollisionShapes/btSphereShape.h
===================================================================
--- code/branches/physics/src/bullet/BulletCollision/CollisionShapes/btSphereShape.h	(revision 1963)
+++ code/branches/physics/src/bullet/BulletCollision/CollisionShapes/btSphereShape.h	(revision 1972)
@@ -28,10 +28,6 @@
 	BT_DECLARE_ALIGNED_ALLOCATOR();
 
-	btSphereShape (btScalar radius) : btConvexInternalShape ()
-	{
-		m_shapeType = SPHERE_SHAPE_PROXYTYPE;
-		m_implicitShapeDimensions.setX(radius);
-		m_collisionMargin = radius;
-	}
+	btSphereShape (btScalar radius);
+	
 	
 	virtual btVector3	localGetSupportingVertex(const btVector3& vec)const;
